import { DebounceOptions } from '../helpers/debounce';
import { Action } from './action';
export declare type UseActionOptions = {
    /** Watch value without triggering loading it */
    watchOnly?: boolean;
    /**  */
    updateOnMount?: boolean;
    /**  */
    clearBeforeUpdate?: boolean;
    /** */
    dormant?: boolean;
    /** */
    throttle?: number;
    debounce?: number | DebounceOptions;
};
export declare type UseActionReturn<Value> = [Value | undefined, {
    error?: unknown;
    isLoading: boolean;
}];
export declare function useAction<Arg, Value>(action: Action<Arg, Value>, arg: Arg, { watchOnly, updateOnMount, clearBeforeUpdate, dormant, throttle, debounce }?: UseActionOptions): UseActionReturn<Value>;
